%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name marshmallow

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.23.1
Release:        1.0.1%{?dist}
Summary:        A lightweight library for converting complex datatypes to and from native Python datatypes

License:        MIT
URL:            https://github.com/marshmallow-code/marshmallow
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-Add-setup.py.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

Requires: %{?scl_prefix}python%{python3_pkgversion}-packaging >= 17.0

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE docs/license.rst
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 3.23.1-1.0.1
- Update to 3.23.1

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 3.21.2-1.0.1
- Update to 3.21.2
- Rebuild with python 3.11
- Add setup.py

* Fri Jan 27 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.13.0-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Mon Sep 13 2021 Evgeni Golov - 3.13.0-1
- Initial package.
